GroupForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.group.inventory.GroupForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.group.inventory
Class GroupForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.resource.NonScheduleResourceForm
                      org.hyperic.hq.ui.action.resource.group.inventory.GroupForm

All Implemented Interfaces:
  java.io.Serializable

    public class GroupForm

extends NonScheduleResourceForm

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`GroupForm()`

Method Summary
`java.util.List` | `getApplicationTypes()`
`java.lang.Integer` | `getClusterCount()`
`java.lang.Integer` | `getCompatibleCount()`
`java.lang.String[]` | `getEntityIds()`
`java.lang.Integer` | `getEntityTypeId()` Returns the entity type id in [entity type id]:[resource type id]
`java.lang.Integer` | `getGroupType()`
`java.util.List` | `getGroupTypes()`
`java.lang.Integer` | `getPlatformTypeCount()`
`java.util.List` | `getPlatformTypes()`
`java.lang.Integer` | `getResourceTypeId()` Returns resource type id in [entity type id]:[resource type id]
`java.lang.Integer` | `getServerTypeCount()`
`java.util.List` | `getServerTypes()`
`java.lang.Integer` | `getServiceTypeCount()`
`java.util.List` | `getServiceTypes()`
`java.lang.String` | `getTypeAndResourceTypeId()`
`java.lang.String` | `getTypeName()`
`boolean` | `isPrivateGroup()`
`void` | `setApplicationTypes(java.util.List applicationTypes)`
`void` | `setEntityIds(java.lang.String[] entityIds)`
`void` | `setGroupType(java.lang.Integer groupType)`
`void` | `setGroupTypes(java.util.List groupTypes)`
`void` | `setPlatformTypes(java.util.List platformTypes)`
`void` | `setPrivateGroup(boolean privateGroup)`
`void` | `setServerTypes(java.util.List serverTypes)`
`void` | `setServiceTypes(java.util.List serviceTypes)`
`void` | `setTypeAndResourceTypeId(java.lang.String typeAndResourceTypeId)` Sets the typeAndResourceTypeId.
`void` | `setTypeName(java.lang.String typeName)`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Overide the validate method.

Methods inherited from class org.hyperic.hq.ui.action.resource.NonScheduleResourceForm
`getDescription, getLocation, getName, getResourceType, getResourceTypes, getRid, getType, loadResourceValue, reset, setDescription, setLocation, setName, setResourceType, setResourceTypes, setRid, setType, toString, updateResourceValue`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupForm

    public GroupForm()

Method Detail

### getCompatibleCount

    public java.lang.Integer getCompatibleCount()

### getClusterCount

    public java.lang.Integer getClusterCount()

### getPlatformTypes

    public java.util.List getPlatformTypes()

### getPlatformTypeCount

    public java.lang.Integer getPlatformTypeCount()

### getApplicationTypes

    public java.util.List getApplicationTypes()

### getServerTypes

    public java.util.List getServerTypes()

### getServerTypeCount

    public java.lang.Integer getServerTypeCount()

### getServiceTypes

    public java.util.List getServiceTypes()

### getServiceTypeCount

    public java.lang.Integer getServiceTypeCount()

### setPlatformTypes

    public void setPlatformTypes(java.util.List platformTypes)
                          throws InvalidAppdefTypeException

  Throws:
    `InvalidAppdefTypeException`

### setApplicationTypes

    public void setApplicationTypes(java.util.List applicationTypes)
                             throws InvalidAppdefTypeException

  Throws:
    `InvalidAppdefTypeException`

### setServerTypes

    public void setServerTypes(java.util.List serverTypes)
                        throws InvalidAppdefTypeException

  Throws:
    `InvalidAppdefTypeException`

### setServiceTypes

    public void setServiceTypes(java.util.List serviceTypes)
                         throws InvalidAppdefTypeException

  Throws:
    `InvalidAppdefTypeException`

### getTypeAndResourceTypeId

    public java.lang.String getTypeAndResourceTypeId()

### getEntityTypeId

    public java.lang.Integer getEntityTypeId()

  Returns the entity type id in [entity type id]:[resource type id]

### getResourceTypeId

    public java.lang.Integer getResourceTypeId()

  Returns resource type id in [entity type id]:[resource type id]

### setTypeAndResourceTypeId

    public void setTypeAndResourceTypeId(java.lang.String typeAndResourceTypeId)

  Sets the typeAndResourceTypeId.

### getGroupType

    public java.lang.Integer getGroupType()

### setGroupType

    public void setGroupType(java.lang.Integer groupType)

### getGroupTypes

    public java.util.List getGroupTypes()

### setGroupTypes

    public void setGroupTypes(java.util.List groupTypes)

### getEntityIds

    public java.lang.String[] getEntityIds()

### setEntityIds

    public void setEntityIds(java.lang.String[] entityIds)

### getTypeName

    public java.lang.String getTypeName()

### setTypeName

    public void setTypeName(java.lang.String typeName)

### isPrivateGroup

    public boolean isPrivateGroup()

### setPrivateGroup

    public void setPrivateGroup(boolean privateGroup)

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Overide the validate method. need to do validation.

  Overrides:
    `validate` in class `NonScheduleResourceForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.